
<!-- server about top text -->


<p>
<div class=indent>

Certificates issued by the UW Services CA may be used only by
authorized administrators of services provided by
the University of Washington.
They may be used to identify web servers and imap
servers to their clients.  They may also be used
to identify each peer of an application to application
communincation.

<p>

At present, UW Services CA policy requires 
the common name (CN) of all requests be a registered
DNS domain name.

</div>

 




<!-- services ca body text -->



<div class=indent>

Application administrators requesting one
or more certificates are expected to:
<p>
<ul>
<li>Be able to securely generate a certificate request, and
store and use the resultant certificate and key;
<p>
<li>Be aware that clients of the application will have to
load or install the UW Server CA certificate as a trusted
certificate authority in their programs, and be willing
to assist them in that effort;
<p>
<li>Inform their clients of the existance and use of the
CA's Certificate Revocation List;
<p>
<li>Notify UW Technology if either the certificate or
its key has been compromised; and
<p>
<li>Notify C&C if any change occurs in the ownership of
the serivce to which the certificate applies.
</ul>


