#!/bin/bash

# script to sign cert requests
# runs only on the db master

# CA root
ca=/www/ca


# get address of a domain
function ipaddr {
  ip="`/usr/bin/host $1|sed -n -e '
/has address/s/.*has address *//p'`"
  echo $ip
}

db="`ipaddr db.certs.cac.washington.edu`"
myhost=`hostname`
me="`ipaddr $myhost`"

[[ $me = $db ]] && {
  # run the autosign process
  $ca/lib/autosign >> $ca/log/autosign.log 2>&1
}



