/* C&C CA client.

   Revokes certs

   by Fox, March 2003

*/


#include <stdio.h>
#include <string.h>

#include "caclient.h"

extern int debug;

extern int caerrno = 0;

static char *prog;

void usage()
{
   fprintf(stderr, "usage: %s -u userid \n", prog);
   fprintf(stderr, "          [-n securid_crnprn");
   fprintf(stderr, "          [-d] [-s cert_sn] \n");
   fprintf(stderr, "          [-k keyfile]\n");
   fprintf(stderr, "          [-p port] [-h host]\n");
   exit(-1);
}

int  main(int argc, char *argv[])
{
   char   *p;
   char *arg;
   char *s;
   char *id = NULL;
   int ret;
   char *retarg = NULL;
   int nb;
   char *crnprn = NULL;
   int casn;
  

   /* parse command line options */

   while (--argc) {
      arg = (++argv)[0];

      if (!strcmp(arg,"-v")) {
            debug = 1;

      } else if (!strcmp(arg,"-d")) {
            debug = 2;

      } else if (!strcmp(arg,"-u")) {
            if (--argc<0) usage();
            id = ((++argv)[0]);

      } else if (!strcmp(arg,"-n")) {
            if (--argc<0) usage();
            crnprn = ((++argv)[0]);

      } else if (!strcmp(arg,"-s")) {
            if (--argc<0) usage();
            casn = atoi((++argv)[0]);
            if (casn<=0)  usage();

      } else usage();
   }

   if (!id) usage();
   if (strlen(id)>19) usage();
   if (!crnprn) crnprn = "";
   if (strlen(crnprn)>27) usage();

   /* do the command */
   
   ret = ca_cmd(CA_REVOKE, id, NULL, casn, crnprn, &retarg);
   
   if (retarg) puts(retarg);
   exit (ret?ret:0);
}

