/* ca ssl tools prototypes */

#include "openssl/x509.h"

char *ssl_dn2cn(char *dn);

char *ssl_crt2dn(X509 *crt);
X509 *ssl_txt2crt(char *txt);
int ssl_get_sn(X509 *crt);
time_t ssl_get_issue(X509 *crt);
time_t ssl_get_expire(X509 *crt);

X509_REQ *ssl_txt2req(char *txt);
char *ssl_get_dn_req(X509_REQ *req);
char *ssl_get_cn_req(X509_REQ *req);
char *ssl_get_cn(X509 *crt);
char **ssl_get_altnames_req(X509_REQ *req);
int ssl_is_windows_req(X509_REQ *req);

char *ssl_crttxt2der(char *crt, int *l);

/* from ckreq.c */

char *ssl_chk_req_dn(X509_REQ *req, char *id);
char *ssl_chk_netacts(char *cn, int lcn, char *id);
char *ssl_chk_dns(char *cn, int lcn);
char *ssl_chk_req_altnames(X509_REQ *req, char *id);
char *ssl_chk_req_alt_dns(X509_REQ *req);

