# UW Services CA Page
#
# This is the template for all pages
# (using breadcrumbs instead of a menu)
#

<html>
<head>
<link rel=stylesheet type="text/css" href="{ROOT}/ca.css">

<title>{TITLE}</title>

{HEADTXT}


<!-- BDB: adminjs -->
# admin page menu functions 

<script language=javascript>
function dolist(l,r)
{
   if (l!="") document.list.list.value=l;
   if (r!="") document.list.req.value=r;
   document.list.submit();
}

function checkkey(l,r,e)
{
  var code = 0;
  if (window.event) code = window.event.keyCode;
  else if (e) code = e.which;
  if (code==13) dolist(l,r);
}
</script>
<!-- EDB: adminjs -->



<!-- BDB: formjs -->
# form page back functions 

<script language=javascript>
function goback(f)
{
   document.back.req.value=f;
   document.back.submit();
}
</script>
<!-- EDB: formjs -->

# 'go-back' form outside to keep headers consistant
<form name=back action={ROOT}/services/ method=post>
<input type=hidden name=f1 value="{F1}">
  <input type=hidden name=xsite value={XSITE}>
  <input type=hidden name=xtime value={XTIME}>

<input type=hidden name=req value=xxx>
</form>


</head>

<body {BODYTXT}>

<!-- header -->
# <h1>{TITLE}</h1>
<table border=0>
<tr>
  <td><img src={ROOT}/UWlogo.gif align=bottom></td>
  <td width=20></td>
  <td valign=bottom><h2 style="font-family: serif; color:#808080">
        Certificate Authority</h2></td>
</tr>
</table>


<!-- crumbs -->

<table class=crumbtop cellpadding=0 cellspacing=0 width=100%>
<tr><td colspan=99 height=0 width=100%></td></tr>
<tr align=left>
 <td><table cellpadding=0 cellspacing=0>
  <tr>

  <td class=crumb valign=bottom nowrap>
   <!-- BDB: crumb -->
    <!-- BDB: sep -->
     >
    <!-- EDB: sep -->
   <a href={ROOT}/{CRUMBLINK}>{CRUMBNAME}</a>
   <!-- EDB: crumb -->
   <!-- BDB: bcrumb -->
    <!-- BDB: sep -->
     >
    <!-- EDB: sep -->
   <a href="javascript:goback('{CRUMBLINK}');">{CRUMBNAME}</a>
   <!-- EDB: bcrumb -->
  </td>

  <td width=5></td>
  <!-- BDB: crumbhelp -->
    <td class=crumbh valign=bottom nowrap>
     <a href={ROOT}/{CRUMBLINK}>{CRUMBNAME}</a>
    </td>
  <!-- EDB: crumbhelp -->
 <!-- BDB: request_cn -->
   <td class=crumbh valign=bottom nowrap>
       Requesting certificate for: {DN}
    </td>
 <!-- EDB: request_cn -->
 </tr></table></td>


# right side of page is admin or request cn

 <!-- BDB: admin -->
   <td width=10></td>
     <form name=list method=post action={ROOT}/services/admin/>
       <input type=hidden name=list value={LIST}>
       <input type=hidden name=req value=>
   <td align=right>
     <table cellpadding=0 cellspacing=0 >
     <tr>
     <td class=crumb valign=bottom nowrap>
        <!-- BDB: all -->
        <a class=bar href="javascript:dolist('all','');">All requests</a>
        <!-- EDB: all -->
        <!-- BDB: active -->
        <a class=bar href="javascript:dolist('active','');">Active requests</a>
        <!-- EDB: active -->
         | 
        <a class=bar href="javascript:dolist('all','');">Select user</a>
        <input class=plain type=text value="" size=8 maxlength=12
            name=selid onKeyPress="checkkey('all','',event);">
         | 
        <a class=bar href="javascript:dolist('','test');">Select host</a> 
         <input class=plain type=text value="{DN}" size=30 maxlength=60 name=dn
             onKeyPress="checkkey('all','test',event);">
     </td>
     </tr>
    </table></td>
    </form>
 <!-- EDB: admin -->


 <!-- BDB: services -->
   <td width=10></td>
     <form name=list method=get action={ROOT}/services/>
       <input type=hidden name=list value={LIST}>
       <input type=hidden name=req value=>
   <td align=right>
     <table cellpadding=0 cellspacing=0 >
     <tr>
     <td class=crumb valign=bottom nowrap>
        <a class=bar href="javascript:dolist('','full');">Select request #</a>
        <input class=plain type=text value="" size=8 maxlength=12
            name=rno onKeyPress="checkkey('','full',event);">
     </td>
     </tr>
    </table></td>
    </form>
 <!-- EDB: services -->



</tr>
</table>

<!-- legacy notice -->
<div style="border: 2px solid #000000;padding: 4px;margin:20px 30px 10px 30px;">
<strong>Note:</strong> Although still usable, this Certificate Authority application now has legacy status.
The new <a href="https://iam-tools.u.washington.edu/cs/">UW Certificate Services</a>
application provides consolidated certificate request and management functions
for both the UW Services CA and the InCommon CA.
See the UW Certificate Services documentation for a <a href="https://wiki.cac.washington.edu/x/KDaoAQ">comparison of CA features</a>.
</div>


      
<!-- content -->
<h2>{PAGETITLE}</h2>
<p>

<div class=toptext>
 {TOPBODY}
</div>
<p class=msg>{MSG}</p>
<p class=err>{EMSG}</p>

<p>

<!-- main text -->
<p>
<!-- BDB: not_yours -->
<p class=err>You do not own request {REQNO}.</p>
<!-- EDB: not_yours -->

<!-- BDB: revoke_request -->
Revoke request for request {REQNO} submitted.
<!-- EDB: revoke_request -->

<!-- BDB: renew_request -->
Renewal of request {REQNO} has been submitted.
We will notify you by email of action taken on it.
<!-- EDB: renew_request -->

<!-- BDB: ierenew_request -->
Renewal of request {RENEW_REQNO} has been submitted as request {REQNO}.
We will notify you by email of action taken on it.
<!-- EDB: ierenew_request -->

<!-- BDB: new_request -->
Request {REQNO} for <tt>{CN}</tt> has been submitted.
We will notify you by email of action taken on it.

<!-- EDB: new_request -->

<!-- BDB: cancel_request -->
Request {REQNO} for <tt>{CN}</tt> cancelled.
<!-- EDB: cancel_request -->

{DETAIL}
<p>
{BODY}

<p>

</html>
