
<!-- cs cert request dn policy statement -->

<script language=javascript>

function dockdns(c)
{
   document.ckdns.submit();
}

</script>



<a name=dnp>

<div class=policy>

<table cellspacing=5 >
<tr>
 <td valign=top>
   <b>Distinguished Name Policy</b><sup>&dagger;</sup>
   <p>
   We ask for specific elements in the Distinguished Name of
   your request, depending on the purpose of the certificate.
 </td>
 <td valign=top>
    <table cellpadding=3 border=1>
     <tr><th colspan=9>Standard client or server</td></tr>
     <tr><td>C</td><td><b>US</b></td></tr>
     <tr><td>ST</td><td><b>WA</b>&nbsp;or&nbsp;<b>Washington</b></td></tr>
     <tr><td> O,&nbsp;OU</td><td><i>optional</i></td></tr>
     <tr><td>CN</td><td><i>Your&nbsp;domain&nbsp;name</i></td></tr>
    </table>
 <td width=5></td>
 <td valign=top rowspan=2>
    <table cellpadding=3 border=1>
     <tr><th colspan=9>EDS client</td></tr>
     <tr><td>DC</td><td><b>edu</b></td></tr>
     <tr><td>DC</td><td><b>washington</b></td></tr>
     <tr><td>OU</td><td><b>apps</b></td></tr>
     <tr><td>CN</td><td><i>Your&nbsp;domain&nbsp;name</i></td></tr>
    </table>
 </td>
</tr>
<tr>
  <td valign=top>
    <b>Domain Name Policy</b><sup>&dagger;</sup>
    <p>
    You should be already known to us as the responsible
    person for the domain name you specify in your request.
    Enter your domain name in the dialog at the right
    to see if you are so known.
    </td>

  </td>

  <td colspan=3 align=left>
    <table cellpadding=2 border=1 class=listnote>
    <tr><td>Test your domain name</td></tr>
    <tr><td>
      <table border=0>
       <tr><td>
       <form name=ckdns action="{ROOT}/services/dn.cgi" method=get>
       <input type=text size=50 name=dn maxlength=100 value="{CKDN}">
       </form>
       </td>
       <td><a href="javascript:dockdns();">Test</a>
#        <td><a href="javascript:dns_popup();">Test</a>
       </td></tr>
      </table>
     </td></tr>

   <!-- BDB: ok -->
     <tr><td colspan=5>You're ok for <tt>{CKDN}</tt></td></tr>
   <!-- EDB: ok -->

   <!-- BDB: no -->
     <tr><td class=enotice>You're not ok for <tt>{CKDN}</tt></td></tr>
     <tr><td>
      <ul><li>
       <a href="javascript:dns_popup('{ROOT}/services/dn.cgi?dn={CKDN}');">
             Need Help?</a>
      </ul>
     </td></tr>
   <!-- EDB: no -->

     </table>
   </td>
 </tr>
</table>

<hr width=300 align=left>
<sup>&dagger;</sup>Conformity to these policies will expedite your request.
Contumacy will cause delay or denial.

</div>

