# cs cert request dn help 


# <p class=err>
# You are not known as the owner of {CKDN}.
# </p>
<p class=err>
You are not known as the owner of {CKDN}.
We cannot issue you a certificate until you are so known.
</p>


<!-- BDB: host -->

<hr>
<p>

  <!-- BDB: noowner -->
  
  If you are the responsible individual for the host 
   <tt><b>{SDN}</b></tt>
   <p>
  send the following message to 
  <a href=mailto:netops@uw.edu>netops@uw.edu</a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>
<div class=indent>
<tt>

As an administrator of the host {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Host    : {SDN}
<p>

Thank you,
<p>
<i>Your-name-here</i>
</tt>
</div>
  

  <!-- EDB: noowner -->
  
  
  <!-- BDB: owners -->
  
  Our records show the following people
  as responsible for the host
   <tt><b>{SDN}</b></tt>
   <p>
  <p>
  <ul>
   <!-- BDB: id -->
     <li>{ID}
   <!-- EDB: id -->
  </ul>
  <p>
  
  If you would like to request a certificate for this host
  send the following message to 
  <a href=mailto:netops@uw.edu>netops@uw.edu </a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>
<div class=indent>
<tt>
As an administrator of the host {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Host    : {SDN}
<p>
Thank you,
<p>
<i>Your-name-here</i>

</tt>
</div>
  Otherwise, you may ask
    <!-- BDB: one -->
     the listed responsible person
    <!-- EDB: one -->
    <!-- BDB: many -->
     one of the listed responsible people
    <!-- EDB: many -->
  to make the certificate request for you.
<p>
  
  <!-- EDB: owners -->

<!-- EDB: host -->


<!-- BDB: domain -->

<hr>
<p>

  <!-- BDB: noowner -->
  
  If you are responsible for the entire domain 
   <tt><b>{SDN}</b></tt>
   <p>
  and would like to be able to request certificates for 
  any of host on that domain
  send the following message to 
  <a href=mailto:netops@uw.edu>netops@uw.edu</a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>

<div class=indent>
<tt>
As an administrator of the domain/subnet {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Domain  : {SDN}
<p>
Thank you,
<p>
<i>Your-name-here</i>
</tt>
</div>
  

  <!-- EDB: noowner -->
  
  
  <!-- BDB: owners -->
  
  Our records show the following people
  as responsible for the domain
   <tt><b>{SDN}</b></tt>
   <p>
  <p>
  <ul>
   <!-- BDB: id -->
     <li>{ID}
   <!-- EDB: id -->
  </ul>
  <p>
  
  If you are responsible for all hosts on the domain and
  would like to request certificates for any of those hosts
  send the following message to 
  <a href=mailto:netops@uw.edu>netops@uw.edu</a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>
<div class=indent>
<tt>
As an administrator of the domain/subnet {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Domain  : {SDN}
<p>
Thank you,
<p>
<i>Your-name-here</i>

</tt>
</div>
  
  Otherwise, you may ask
    <!-- BDB: one -->
     the listed responsible person
    <!-- EDB: one -->
    <!-- BDB: many -->
     one of the listed responsible people
    <!-- EDB: many -->
  to make the certificate request for you.
<p>
  
  <!-- EDB: owners -->

<!-- EDB: domain -->

