#!/bin/ksh

# make plots and summary files

ca=/www/ca
stats=$ca/stats
plot=${stats}/sum.png
sum=${stats}/sum.html

[[ -n ~fox/db.exp ]] && {
   echo "getting new db export file"
   mv ~fox/db.exp $ca/stats
}

$ca/lib/mkstats \
   -pf $plot -pw 600 -ph 400 -pt "UW Services CA active certificates" \
   -s $sum

