# cs cert request dn help 




<!-- BDB: nodns -->
There is <b>no</b> DNS entry for this host. 
<p>
We cannot issue certificates for non-existent domains.
<!-- EDB: nodns -->

<!-- BDB: ok -->
You are already the owner and may request 
a certificate for this host.
<p>
<!-- EDB: ok -->

<!-- BDB: notok -->

You are <b>not</b> registered as the owner of the host {DN}.

<p>
We cannot issue a certificate to you for this host until
you are known to Network Operations as the owner.

<p>

<!-- BDB: host -->

<hr>
<p>

  <!-- BDB: noowner -->
  
  If you are the responsible individual for the host 
   <p class=indent>
   <tt>{SDN}</tt>
   <p>
  send the following message to 
  <a href=mailto:netops@u.washington.edu>netops@u.washington.edu</a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>
<div class=indent>
<tt>

As an administrator of the host {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Host    : {SDN}
<p>

Thank you,
<p>
<i>Your-name-here</i>
</tt>
</div>
  

  <!-- EDB: noowner -->
  
  
  <!-- BDB: owners -->
  
  Our records show the following people
  as responsible for the host
   <p class=indent>
   <tt>{SDN}</tt>
   <p>
  <p>
  <ul>
   <!-- BDB: id -->
     <li>{ID}
   <!-- EDB: id -->
  </ul>
  <p>
  
  If you would like to request a certificate for this host
  send the following message to 
  <a href=mailto:netops@u.washington.edu>netops@u.washington.edu </a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>
<div class=indent>
<tt>
As an administrator of the host {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Host    : {SDN}
<p>
Thank you,
<p>
<i>Your-name-here</i>

</tt>
</div>
  Otherwise, you may ask
    <!-- BDB: one -->
     the listed responsible person
    <!-- EDB: one -->
    <!-- BDB: many -->
     one of the listed responsible people
    <!-- EDB: many -->
  to make the certificate request for you.
<p>
  
  <!-- EDB: owners -->

<!-- EDB: host -->


<!-- BDB: domain -->

<hr>
<p>

  <!-- BDB: noowner -->
  
  If you are responsible for the entire domain 
   <p class=indent>
   <tt>{SDN}</tt>
   <p>
  and would like to be able to request certificates for 
  any of host on that domain
  send the following message to 
  <a href=mailto:netops@u.washington.edu>netops@u.washington.edu</a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>

<div class=indent>
<tt>
As an administrator of the domain/subnet {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Domain  : {SDN}
<p>
Thank you,
<p>
<i>Your-name-here</i>
</tt>
</div>
  

  <!-- EDB: noowner -->
  
  
  <!-- BDB: owners -->
  
  Our records show the following people
  as responsible for the domain
   <p class=indent>
   <tt>{SDN}</tt>
   <p>
  <p>
  <ul>
   <!-- BDB: id -->
     <li>{ID}
   <!-- EDB: id -->
  </ul>
  <p>
  
  If you are responsible for all hosts on the domain and
  would like to request certificates for any of those hosts
  send the following message to 
  <a href=mailto:netops@u.washington.edu>netops@u.washington.edu</a>
  <p>
  with a subject of: "<tt>UW&nbsp;NetID&nbsp;update&nbsp;for&nbsp;{SDN}</tt>"

<p>
<div class=indent>
<tt>
As an administrator of the domain/subnet {SDN},
I would like to add my UW NetID to its DNS record to facilitate
automated management operations.
<p>
UW NetID: {RUID}
<br>
Domain  : {SDN}
<p>
Thank you,
<p>
<i>Your-name-here</i>

</tt>
</div>
  
  Otherwise, you may ask
    <!-- BDB: one -->
     the listed responsible person
    <!-- EDB: one -->
    <!-- BDB: many -->
     one of the listed responsible people
    <!-- EDB: many -->
  to make the certificate request for you.
<p>
  
  <!-- EDB: owners -->

<!-- EDB: domain -->

<!-- EDB: notok -->

