#!/bin/sh

# send the appropriate ca cert loader page 

# get browser type

INS="load-ns.html"   # generic default
HLP=

case $HTTP_USER_AGENT in

  *Opera*) INS="load-der.crt"
           HLP="help.opera.html"
           ;;
  *MSIE*Mac_PowerPC*) INS="load-der.crt"
           ;;
  *MSIE*) INS="load-ie.html"
           HLP="help.ie.html"
           ;;
  *Netscape*) INS="load-pem.crt"
           HLP="help.ns.html"
           ;;
  *Chimera*) INS="load-der.crt"
           ;;
  *OmniWeb*) INS="load-der.crt"
           ;;
  *Safari*) INS="load-der.crt"
           ;;
  *Gecko*) INS="load-pem.crt"
           HLP="help.gecko.html"
           ;;
esac

# setup helper
HELPER=
[ -n "$HLP" ] && HELPER="`cat help.html | \
                          sed -e \"s/HELPER/${HLP}/\" | \
                          tr '\n' ' ' `"


# send page

echo "Content-type: text/html"
echo

cat ca.html | sed -e "/HELPER/a\\
  ${HELPER}
  /HELPER/d
 s/INSTALLER/${INS}/"


